# pyta-trader

pyta-trader is a Python-based trading framework designed to facilitate algorithmic trading by integrating with MetaTrader 5 (MT5). It provides tools for fetching market data, analyzing price movements, and executing trades programmatically.

---

## Features

- MT5 Integration: Connects seamlessly with MetaTrader 5 for real-time data and order execution.
- Chart Management: Fetches and updates candlestick data efficiently.
- Modular Design: Organized codebase for easy maintenance and scalability.

---

## Getting started

### Prerequisites

- Python 3.7 or higher
- MetaTrader 5 installed and configured

### Configurations

Rename .sample.env to .env and update the necessary configurations.

## Running tests

python -m unittest discover -s test

## License

This work is licensed under the Creative Commons Attribution-NonCommercial 4.0 International License.
To view a copy of this license, visit [here](https://creativecommons.org/licenses/by-nc/4.0/)

## Contributing

Contributions are welcome!
Please fork the repository and submit a pull request for any enhancements or bug fixes.
